Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.therlink.domain
Class TherapeuticLinkRequestType

    java.lang.Object
      be.ehealth.businessconnector.therlink.domain.TherapeuticLinkRequestType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  GetTherapeuticLinkRequest, HasTherapeuticLinkRequest, PutTherapeuticLinkRequest, RevokeTherapeuticLinkRequest

    public abstract class TherapeuticLinkRequestType

extends Object
implements Serializable

TherapeuticLinkRequestType.

See Also:
  Serialized Form

Constructor Summary
`TherapeuticLinkRequestType()`
`TherapeuticLinkRequestType(String id, Date date, Author author, TherapeuticLink link, Proof... proofs)` Deprecated.
`TherapeuticLinkRequestType(String id, org.joda.time.DateTime date, Author author, TherapeuticLink link, Proof... proofs)`

Method Summary
`boolean` | `equals(Object obj)`
`Author` | `getAuthor()`
`Date` | `getDate()` Deprecated.
`org.joda.time.DateTime` | `getDateTime()`
`String` | `getID()`
`TherapeuticLink` | `getLink()`
`List<Proof>` | `getProofs()`
`int` | `hashCode()`
`void` | `setLink(TherapeuticLink link)`
`void` | `setProofs(List<Proof> proofs)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TherapeuticLinkRequestType

    public TherapeuticLinkRequestType()

### TherapeuticLinkRequestType

    @Deprecated
    public TherapeuticLinkRequestType(String id,
                                                 Date date,
                                                 Author author,
                                                 TherapeuticLink link,
                                                 Proof... proofs)

  Deprecated.

  Parameters:
    `id` -
    `date` -
    `author` -
    `link` -
    `proof` -

### TherapeuticLinkRequestType

    public TherapeuticLinkRequestType(String id,
                                      org.joda.time.DateTime date,
                                      Author author,
                                      TherapeuticLink link,
                                      Proof... proofs)

Parameters:
  `id` -
  `date` -
  `author` -
  `link` -
  `proof` -

Method Detail

### getLink

    public TherapeuticLink getLink()

  Returns:
    the link

### setLink

    public void setLink(TherapeuticLink link)

  Parameters:
    `link` - the link to set

### getProofs

    public List<Proof> getProofs()

  Returns:
    the proof

### setProofs

    public void setProofs(List<Proof> proofs)

  Parameters:
    `proofs` - the proof to set

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getID

    public String getID()

### getAuthor

    public Author getAuthor()

### getDate

    @Deprecated
    public Date getDate()

  Deprecated.

### getDateTime

    public org.joda.time.DateTime getDateTime()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.